package me.yoqi.android.jkbd;

import android.app.Application;

import java.util.List;

import me.yoqi.android.jkbd.bean.Exam;
import me.yoqi.android.jkbd.bean.Question;
import me.yoqi.android.jkbd.biz.IExamBiz;

/**
 * @author liuyuqi.gov@msn.cn
 * @date 4/5/2022
 */
public class MyApp extends Application {
    public static String LOAD_EXAM = "load_exam";
    public static String LOAD_QUESTION = "load_question";
    public static String LOAD_DATA_SUCCESS = "load_data_success";

    Exam exam;
    List<Question> questionList;
    public static MyApp instance;

    IExamBiz iExamBiz;

    public Exam getExam() {
        return exam;
    }

    public void setExam(Exam exam) {
        this.exam = exam;
    }

    public List<Question> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<Question> questionList) {
        this.questionList = questionList;
    }

    public static MyApp getInstance() {
        return instance;
    }

    public void setInstance(MyApp instance) {
        this.instance = instance;
    }

    @Override
    public void onCreate() {
        super.onCreate();
        instance = this;

        getExam();
    }
}